Bug 809313 - RFE: Make the breakdown of the nav panel more customizable.
RFE: Make the breakdown of the nav panel more customizable.
Status: CLOSED CURRENTRELEASE
Product: PressGang CCMS
Classification: Community
Component: Web-UI (Show other bugs)
1.x
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Casperson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-03 01:15 EDT by Tim Hildred
Modified: 2014-08-04 18:26 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-09 23:46:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Hildred 2012-04-03 01:15:28 EDT
I tried to explain this to Lee Newson, he claimed to understand what I was talking about, and said I should just redirect to him in this bug. Maybe, as well as explaining it to Matt, he could write out what we talked about in here?

It goes something like, 

We (the RHEV team) would like to have the left hand NAV bar be composed of content specs basically. So the top level is the rhev topic bundle, and one level down (currently is technology/common name) would be the names of content specifications and the groups of topics within them. 

Lee, could you please help me say what I'm saying?

Kate, if/when Lee comments, could you write a follow-on clarifying anything we messed up?
Comment 1 Lee Newson 2012-04-03 02:35:51 EDT
Basically from my understanding of when Tim and I discussed this, was to be able to specify the contents of the Tree View Navigation in the output from Skynet. The way that Tim described of doing this was to be able to specify a Content Spec or Tree view based document to specify the initial Tree Nodes and then the data that is included in those nodes.The sub nodes should basically be specified as a content specification and then the sub nodes will be chapters that were included in the content specification.

ie:

Installation Guide
  Introduction
  First Steps
  Conclusion
User Guide
  Introduction
  Using RHEV
  Conclusion
etc...

I'm not exactly sure how this would be done via the interface as I haven't really given it any thought but I'm fairly sure this is what Tim was talking about. (If not let me know)
Comment 2 Kate Grainger 2012-04-04 02:52:33 EDT
Sounds about right to me. One thing to keep in mind is that we plan to nest content specs pretty heavily, as a replacement for ditamaps. That way, we can group chunks of related content together while still being able to rearrange those chunks as we see fit. 

So the Web/HTML might look like this:

RHEV documentation
  What is RHEV?
  Installing RHEV
  Configuring RHEV
  Using RHEV
  Managing RHEV
  etc.

And we might also have PDF books, such as an Installation Guide:

Installation Guide
  What is RHEV?
  Installing RHEV
  Configuring RHEV

And an Administration Guide:
  
Admin Guide
  What is RHEV
  Using RHEV
  Managing RHEV

etc.

From talking to Matt, it sounds like the Web interface might be changing to use the Publican TOC as the lefthand nav, in which case we're golden. :)
Comment 3 Matthew Casperson 2012-07-09 23:46:25 EDT
The tree view is no longer generated automatically, and the "tree view" can be specified as a CSP map.

Note You need to log in before you can comment on or make changes to this bug.